Bug 205017 - /usr/include/sys/user.h missing some defines
Summary: /usr/include/sys/user.h missing some defines
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-02 12:09 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-03 06:39:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul F. Johnson 2006-09-02 12:09:07 UTC
Description of problem:
The /usr/include/sys/user.h file is missing a number of defines which are in the
x86_64 and x86 header files. This means the likes of mono_debugger won't build

Version-Release number of selected component (if applicable):
glibc-headers-2.4.90.28.ppc.rpm

Additional info:
This info comes from mono-debugger not building on ppc and checking the
glibc-headers ppc package

http://buildsys.fedoraproject.org/logs/fedora-development-extras/15832-mono-debugger-0.30-5.fc6/ppc/build.log

Comment 1 Jakub Jelinek 2006-09-03 06:39:48 UTC
The headers have never had identical content and the only thing present
everywhere is struct user.  If mono debugger is relying on
it, it simply has never been ported to ppc.


Note You need to log in before you can comment on or make changes to this bug.